import simops.base.TestError;
import simops.plugins.jsynoptic.JSynopticSeqPlugin;

public class jtspTest extends simtg.kernel.corba.simops.SimtgSequence{
    
    public final JSynopticSeqPlugin data = new JSynopticSeqPlugin("data");

    public void startSimtgTsp()throws TestError{
        sim.run("FOO");
        sim.loadLibrary("TestKernelCorbaLib");
        sim.createObject("ModelX", "model");
    
        double freq=1.0;
        String sampler=sim.createTspSampler(1/freq, 0., "tsp");
        String sampler2=sim.createTspSampler(1/freq*2, 1., "tsp2");

        sim.useContextName("model");
        sim.postMethodCyclically("step", 1.);

        sim.addToSampler(sampler, "Out.matrixOut");
        sim.addToSampler(sampler, "Out.step*result");

        sim.addToSampler(sampler2, "In.matrixIn", 1, 1);
        sim.addToSampler(sampler2, "Out.result");

        sim.startTspSamplers(sampler, freq, "tspURL");
    }

    public void sequence() throws TestError {
        // startSimtgTsp();

        data.load("rpc@sinai@tspURL@@0.1@1.tsp");
    }
}